package org.dromara.system.mapper;

import org.dromara.system.domain.SysImg;
import org.dromara.system.domain.bo.SysImgBo;
import org.dromara.system.domain.vo.SysImgVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface SysImgMapper extends BaseMapperPlus<SysImg, SysImgVo> {

    boolean batchDelete(List<String> list);

    List<SysImgBo> selectEnum();

    List<SysImgVo> selectImg();

    List<SysImgVo> selectByRoomId(String roomId, String regionId);

    List<SysImgVo> selectByList(List<String> list);

   boolean batchDeleteByType(List<String> list);

}
